# suspendPoint

suspend fun suspendPoint ()(source)

Ensures that the current coroutine context is still active and throws a kotlinx.coroutines.CancellationException if the coroutine has been canceled.

This function provides a convenient way to check the active status of a coroutine, which is useful to identify cancellation points in long-running or suspendable operations.

#### Throws

kotlinx.coroutines.CancellationException

if the coroutine context is no longer active.